{% extends 'root.html' %}
{% block body %}
<script type="text/javascript">$( document ).ready(
    function() {$('.dob-date-picker').datepicker({ maxDate: "{{ dob_max_date }}",
                                                   dateFormat: "yy-mm-dd",
                                                   constrainInput: false });
                $('.start-date-picker, .end-date-picker').datepicker({ dateFormat: "yy-mm-dd",
                                                   constrainInput: false });
}
 );
</script>
<h1>Starters Registration for {{ form_type }}</h1>
{% if incomplete|default(False) %}
<div class="error">
<p>
Sorry, the form is not yet complete and so cannot be submitted.
</p>
</div>
{% endif %}
<div id="instructions">
<p>
Items marked with a * are required. The state of the form can be saved before it is completed and submitted. This online registration process link expires on {{ deadline }}; if the process is not complete by then you will need to start again with a new link.
</p>
<p>
Dates should be entered in the format YYYY-MM-DD .
</p>
<p>
Items marked as sensitive will only be visible to the staff responsible for human resources in the department.
</p>
<p>
It is a requirement that all new members are photographed for
Departmental purposes. Please contact Photography to arrange
an appointment during your first week in the Department
(<a href="mailto:photography@ch.cam.ac.uk">photography@ch.cam.ac.uk</a> / 36478).
</p>
<p>
<a target="_blank" rel="noopener noreferrer" href="https://www.ch.cam.ac.uk/photography/how-find-us">Click here for directions to Photography</a>.
</p>
</div>
<div id="registration-form">
 <form method="POST">
 <div class="save-state">
  <input type="submit" name="submit" value="Submit this form and return to task list" class="save-state"/>
  <input type="submit" name="submit" value="Save state and return later" class="save-state"/>
 </div>
 <div id="registration-form-main">
{% for field in form %}
{% if field.type == 'CSRFTokenField' or field.type == 'HiddenField' %}
{{ field }}
{% else %}
  <div class="registration-form-field{% if field.type.startswith('Chosen') %} chosen-form-field{% endif %}">
    {% if field.type == 'RadioField' %}
    <div class="registration-radio-question">
    {{ field.label }}{% if field.flags.required %}<span{% if field.errors%} class="field-error"{% endif %}>*</span>{% endif %}<div class="field-error {% if field.errors %} field-invalid{% endif %}">{% if field.errors %}{{ field.errors|join(", ") }}{% endif %}
    </div>
  </div>
    <div class="registration-radio-subquestions">
     {% for subfield in field %}
        <div class="registration-radio-subquestion">
        {{ subfield }} {{ subfield.label }}
        </div>
     {% endfor %}
      </div>

    {% else %}
	    {{ field.label }}{{ field }}{% if field.flags.required %}<span{% if field.errors%} class="field-error"{% endif %}>*</span>{% endif %}<div class="field-error {% if field.errors %} field-invalid{% endif %}">{% if field.errors %}{{ field.errors|join(", ") }}{% endif %}</div>
    {% endif %}

  </div><!-- bar-->
{% endif %}
{% endfor %}
 </div>
 <div class="save-state">
  <input type="submit" name="submit" value="Submit this form and return to task list" class="save-state"/>
  <input type="submit" name="submit" value="Save state and return later" class="save-state"/>
 </div>
</form>
</div>
<div id="instructions">
<p>
Please note: Information entered here is held in a database and in the course of using University Mifare security cards for entering, leaving and moving within the Department, certain information is recorded. Mifare information will be used only for safety and security reasons, unless the Department is required to make a disclosure on legal grounds. 
</p>
</div>
{% endblock %}
